package com.wasu.cs.widget.wheelview;

import android.widget.Toast;

import basic.app.TvAppLike;
import basic.update.UpdateUtil;
import basic.update.view.IUpdateView;

/**
 * Created by fanwang on 9/19/16.
 */
public class AboutUsUpdateView implements IUpdateView{

    private static Toast sToast = null;

    public AboutUsUpdateView(){
    }

    @Override
    public void showForceUpdateUI() {
        if(sToast == null){
            sToast = Toast.makeText(TvAppLike.getContext(),"必须得更新软件了",Toast.LENGTH_LONG);
        }
        sToast.show();

        //UpdateUtil.wasuShowForceUpdateUI();
    };

    @Override
    public void showNotifyUpdateUI() {
        UpdateUtil.wasuShowNotifyUpdateUI();
    }

    @Override
    public void showNoNeedUpdateUi() {
        Toast.makeText(TvAppLike.getContext(), "您当前已经是最新版本!", Toast.LENGTH_SHORT).show();
    }

    @Override
    public void showApkUpdatSuccessUI() {
        UpdateUtil.wasuShowApkUpdatSuccessUI();
    }

    @Override
    public void showApkUpdateFailedUI() {
        UpdateUtil.wasuShowApkUpdateFailedUI();
    }
}
